// Generated by gencpp from file turtle_actionlib/ShapeResult.msg
// DO NOT EDIT!


#ifndef TURTLE_ACTIONLIB_MESSAGE_SHAPERESULT_H
#define TURTLE_ACTIONLIB_MESSAGE_SHAPERESULT_H


#include <string>
#include <vector>
#include <map>

#include <ros/types.h>
#include <ros/serialization.h>
#include <ros/builtin_message_traits.h>
#include <ros/message_operations.h>


namespace turtle_actionlib
{
template <class ContainerAllocator>
struct ShapeResult_
{
  typedef ShapeResult_<ContainerAllocator> Type;

  ShapeResult_()
    : interior_angle(0.0)
    , apothem(0.0)  {
    }
  ShapeResult_(const ContainerAllocator& _alloc)
    : interior_angle(0.0)
    , apothem(0.0)  {
  (void)_alloc;
    }



   typedef float _interior_angle_type;
  _interior_angle_type interior_angle;

   typedef float _apothem_type;
  _apothem_type apothem;





  typedef boost::shared_ptr< ::turtle_actionlib::ShapeResult_<ContainerAllocator> > Ptr;
  typedef boost::shared_ptr< ::turtle_actionlib::ShapeResult_<ContainerAllocator> const> ConstPtr;

}; // struct ShapeResult_

typedef ::turtle_actionlib::ShapeResult_<std::allocator<void> > ShapeResult;

typedef boost::shared_ptr< ::turtle_actionlib::ShapeResult > ShapeResultPtr;
typedef boost::shared_ptr< ::turtle_actionlib::ShapeResult const> ShapeResultConstPtr;

// constants requiring out of line definition



template<typename ContainerAllocator>
std::ostream& operator<<(std::ostream& s, const ::turtle_actionlib::ShapeResult_<ContainerAllocator> & v)
{
ros::message_operations::Printer< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >::stream(s, "", v);
return s;
}

} // namespace turtle_actionlib

namespace ros
{
namespace message_traits
{



// BOOLTRAITS {'IsMessage': True, 'IsFixedSize': True, 'HasHeader': False}
// {'turtle_actionlib': ['/home/eaibot/2022_jsjds/ros_ws/src/common_tutorials/turtle_actionlib/msg', '/home/eaibot/2022_jsjds/ros_ws/devel/.private/turtle_actionlib/share/turtle_actionlib/msg'], 'std_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/std_msgs/cmake/../msg'], 'actionlib_msgs': ['/home/eaibot/2022_jsjds/ros_ws/install/share/actionlib_msgs/cmake/../msg']}

// !!!!!!!!!!! ['__class__', '__delattr__', '__dict__', '__dir__', '__doc__', '__eq__', '__format__', '__ge__', '__getattribute__', '__gt__', '__hash__', '__init__', '__init_subclass__', '__le__', '__lt__', '__module__', '__ne__', '__new__', '__reduce__', '__reduce_ex__', '__repr__', '__setattr__', '__sizeof__', '__str__', '__subclasshook__', '__weakref__', '_parsed_fields', 'constants', 'fields', 'full_name', 'has_header', 'header_present', 'names', 'package', 'parsed_fields', 'short_name', 'text', 'types']




template <class ContainerAllocator>
struct IsMessage< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsMessage< ::turtle_actionlib::ShapeResult_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
  : TrueType
  { };

template <class ContainerAllocator>
struct IsFixedSize< ::turtle_actionlib::ShapeResult_<ContainerAllocator> const>
  : TrueType
  { };

template <class ContainerAllocator>
struct HasHeader< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
  : FalseType
  { };

template <class ContainerAllocator>
struct HasHeader< ::turtle_actionlib::ShapeResult_<ContainerAllocator> const>
  : FalseType
  { };


template<class ContainerAllocator>
struct MD5Sum< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
{
  static const char* value()
  {
    return "b06c6e2225f820dbc644270387cd1a7c";
  }

  static const char* value(const ::turtle_actionlib::ShapeResult_<ContainerAllocator>&) { return value(); }
  static const uint64_t static_value1 = 0xb06c6e2225f820dbULL;
  static const uint64_t static_value2 = 0xc644270387cd1a7cULL;
};

template<class ContainerAllocator>
struct DataType< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
{
  static const char* value()
  {
    return "turtle_actionlib/ShapeResult";
  }

  static const char* value(const ::turtle_actionlib::ShapeResult_<ContainerAllocator>&) { return value(); }
};

template<class ContainerAllocator>
struct Definition< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
{
  static const char* value()
  {
    return "# ====== DO NOT MODIFY! AUTOGENERATED FROM AN ACTION DEFINITION ======\n\
#result definition\n\
float32 interior_angle\n\
float32 apothem\n\
";
  }

  static const char* value(const ::turtle_actionlib::ShapeResult_<ContainerAllocator>&) { return value(); }
};

} // namespace message_traits
} // namespace ros

namespace ros
{
namespace serialization
{

  template<class ContainerAllocator> struct Serializer< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
  {
    template<typename Stream, typename T> inline static void allInOne(Stream& stream, T m)
    {
      stream.next(m.interior_angle);
      stream.next(m.apothem);
    }

    ROS_DECLARE_ALLINONE_SERIALIZER
  }; // struct ShapeResult_

} // namespace serialization
} // namespace ros

namespace ros
{
namespace message_operations
{

template<class ContainerAllocator>
struct Printer< ::turtle_actionlib::ShapeResult_<ContainerAllocator> >
{
  template<typename Stream> static void stream(Stream& s, const std::string& indent, const ::turtle_actionlib::ShapeResult_<ContainerAllocator>& v)
  {
    s << indent << "interior_angle: ";
    Printer<float>::stream(s, indent + "  ", v.interior_angle);
    s << indent << "apothem: ";
    Printer<float>::stream(s, indent + "  ", v.apothem);
  }
};

} // namespace message_operations
} // namespace ros

#endif // TURTLE_ACTIONLIB_MESSAGE_SHAPERESULT_H
